hc-httpclient-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: http client and SSLContext.getDefault
Date Thu, 10 Jan 2013 14:03:06 GMT
On Thu, 2013-01-10 at 07:55 -0500, Gary Gregory wrote:
> On Thu, Jan 10, 2013 at 7:55 AM, Gary Gregory <garydgregory@gmail.com>wrote:
> 
> > My preference would be to make Java 6 the minimum requirement.
> >
> 
> Start with 4.3 I should have added.
> 
> Gary
> 

Gary

My understanding is that even the latest versions of Android are still
based on Java 5. Even though Google have treated us the way they did, I
think we should try to keep HttpClient Android friendly. I simply see no
convincing reason to upgrade to Java 6. What does this exactly buy us?
If we were to bump the minimal JRE level, we should probably go to Java
7 or even 8.

Oleg


---------------------------------------------------------------------
To unsubscribe, e-mail: httpclient-users-unsubscribe@hc.apache.org
For additional commands, e-mail: httpclient-users-help@hc.apache.org


Mime
View raw message